NXOpen.UF.Modl.CreateRevolutionDir

Modl.CreateRevolutionDir()

Refer to UF_MODL_create_revolution_dir for documentation.

Signature: CreateRevolutionDir(objects, objectArg, trimData, limit, offsets, regionPoint, regionSpecified, solidCreation, datumTag, sign)

Parameters:
  • objects (list of Tag) – Array of objects or one section builder object tag but not both, to be revolved
  • objectArg (int) – Count of objects
  • trimData (NXOpen.UF.Modl.SweepTrimObject Refer to UF_MODL_SWEEP_TRIM_object_s for documentation.) – Pointer to structure for trimming data
  • limit (list of str) – Limit of the revolution.
  • offsets (list of str) – Offsets for open strings
  • regionPoint (list of float) – Point on region of object
  • regionSpecified (bool) – True or False for region desired
  • solidCreation (bool) – If the body_type preference set by UF_MODL_set_body_type_pref is UF_MODL_SOLID_BODY, and solid_creation is set to TRUE, then UF_MODL_create_revolution creates solid bodies if the input string is closed. Otherwise, sheet bodies are the result.
  • datumTag (Tag) – Object identifier of the datum which is to be used to determine the direction of the revolve.
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
Returns:

A Tuple

Return type:

A tuple consisting of (features,numberOfFeatures)

features(list of Tag): Array of revolved feature tags. This must be freed by calling UF_free.

numberOfFeatures(int): Number of features returned

License requirements: SOLIDS MODELING